org.apache.ode.bpel.pmapi

## Interface TFailuresInfo

- All Superinterfaces:
    org.apache.xmlbeans.XmlObject, org.apache.xmlbeans.XmlTokenSource
  All Known Implementing Classes:
    TFailuresInfoImpl

      public interface TFailuresInfo
      extends org.apache.xmlbeans.XmlObject

  An XML tFailuresInfo(@http://www.apache.org/ode/pmapi/types/2006/08/02/). This is a complex type.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `TFailuresInfo.Factory` A factory class with static methods for creating instances of this type.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlbeans.SchemaType` | `type`

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCount()` Gets the "count" element
    `java.util.Calendar` | `getDtFailure()` Gets the "dt-failure" element
    `void` | `setCount(int count)` Sets the "count" element
    `void` | `setDtFailure(java.util.Calendar dtFailure)` Sets the "dt-failure" element
    `org.apache.xmlbeans.XmlInt` | `xgetCount()` Gets (as xml) the "count" element
    `org.apache.xmlbeans.XmlDateTime` | `xgetDtFailure()` Gets (as xml) the "dt-failure" element
    `void` | `xsetCount(org.apache.xmlbeans.XmlInt count)` Sets (as xml) the "count" element
    `void` | `xsetDtFailure(org.apache.xmlbeans.XmlDateTime dtFailure)` Sets (as xml) the "dt-failure" element

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLInputStream, newXMLInputStream, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### type

          static final org.apache.xmlbeans.SchemaType type

  - ### Method Detail

    - #### getDtFailure

          java.util.Calendar getDtFailure()

      Gets the "dt-failure" element

    - #### xgetDtFailure

          org.apache.xmlbeans.XmlDateTime xgetDtFailure()

      Gets (as xml) the "dt-failure" element

    - #### setDtFailure

          void setDtFailure(java.util.Calendar dtFailure)

      Sets the "dt-failure" element

    - #### xsetDtFailure

          void xsetDtFailure(org.apache.xmlbeans.XmlDateTime dtFailure)

      Sets (as xml) the "dt-failure" element

    - #### getCount

          int getCount()

      Gets the "count" element

    - #### xgetCount

          org.apache.xmlbeans.XmlInt xgetCount()

      Gets (as xml) the "count" element

    - #### setCount

          void setCount(int count)

      Sets the "count" element

    - #### xsetCount

          void xsetCount(org.apache.xmlbeans.XmlInt count)

      Sets (as xml) the "count" element